<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::lu_decomposition&lt; matrix_exp_type &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1lu__decomposition.html">lu_decomposition</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1lu__decomposition-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::lu_decomposition&lt; matrix_exp_type &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:af1ac39cb9120ca6332e5644050f81663"><td class="memItemLeft" align="right" valign="top"><a id="af1ac39cb9120ca6332e5644050f81663"></a>
typedef matrix_exp_type::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:af1ac39cb9120ca6332e5644050f81663"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2075a6b2d8464b4260b5b8001009ece3"><td class="memItemLeft" align="right" valign="top"><a id="a2075a6b2d8464b4260b5b8001009ece3"></a>
typedef matrix_exp_type::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a2075a6b2d8464b4260b5b8001009ece3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a175bbfc091143d073aa0034f93950cf3"><td class="memItemLeft" align="right" valign="top"><a id="a175bbfc091143d073aa0034f93950cf3"></a>
typedef matrix_exp_type::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a175bbfc091143d073aa0034f93950cf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e386a5458230eb6a4141bdbdaffbead"><td class="memItemLeft" align="right" valign="top"><a id="a4e386a5458230eb6a4141bdbdaffbead"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; type, 0, 0, mem_manager_type, layout_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_type</b></td></tr>
<tr class="separator:a4e386a5458230eb6a4141bdbdaffbead"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11d761c734a3852ba50e298c4004b12b"><td class="memItemLeft" align="right" valign="top"><a id="a11d761c734a3852ba50e298c4004b12b"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; type, NR, 1, mem_manager_type, layout_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>column_vector_type</b></td></tr>
<tr class="separator:a11d761c734a3852ba50e298c4004b12b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2dd30f85b3ae21acde51a247b373482"><td class="memItemLeft" align="right" valign="top"><a id="af2dd30f85b3ae21acde51a247b373482"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; long, NR, 1, mem_manager_type, layout_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>pivot_column_vector_type</b></td></tr>
<tr class="separator:af2dd30f85b3ae21acde51a247b373482"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad3d0a90dd70a2fbadb0f3070a9ca2e58"><td class="memItemLeft" align="right" valign="top"><a id="ad3d0a90dd70a2fbadb0f3070a9ca2e58"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>COMPILE_TIME_ASSERT</b> ((<a class="el" href="classdlib_1_1is__same__type.html">is_same_type</a>&lt; float, type &gt;::value||<a class="el" href="classdlib_1_1is__same__type.html">is_same_type</a>&lt; double, type &gt;::value))</td></tr>
<tr class="separator:ad3d0a90dd70a2fbadb0f3070a9ca2e58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e0f0697eb92a3ab7f81a5750c7aeaf0"><td class="memTemplParams" colspan="2"><a id="a6e0f0697eb92a3ab7f81a5750c7aeaf0"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:a6e0f0697eb92a3ab7f81a5750c7aeaf0"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>lu_decomposition</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;A)</td></tr>
<tr class="separator:a6e0f0697eb92a3ab7f81a5750c7aeaf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0811303691f515cf22b8d5a503dfeef3"><td class="memItemLeft" align="right" valign="top"><a id="a0811303691f515cf22b8d5a503dfeef3"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_square</b> () const</td></tr>
<tr class="separator:a0811303691f515cf22b8d5a503dfeef3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d7d804e17e841a8ffa3598d08d51e6d"><td class="memItemLeft" align="right" valign="top"><a id="a3d7d804e17e841a8ffa3598d08d51e6d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_singular</b> () const</td></tr>
<tr class="separator:a3d7d804e17e841a8ffa3598d08d51e6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3b0d53329c6aeb8088b96502320cbb4"><td class="memItemLeft" align="right" valign="top"><a id="aa3b0d53329c6aeb8088b96502320cbb4"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:aa3b0d53329c6aeb8088b96502320cbb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59fda59963ff8cc82346901b47d19db6"><td class="memItemLeft" align="right" valign="top"><a id="a59fda59963ff8cc82346901b47d19db6"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:a59fda59963ff8cc82346901b47d19db6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3529d78994d17b02338fee66286785b5"><td class="memItemLeft" align="right" valign="top"><a id="a3529d78994d17b02338fee66286785b5"></a>
const <a class="el" href="classdlib_1_1matrix.html">matrix_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_l</b> () const</td></tr>
<tr class="separator:a3529d78994d17b02338fee66286785b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff19d6af0ecbed809c8da82a5e619aea"><td class="memItemLeft" align="right" valign="top"><a id="aff19d6af0ecbed809c8da82a5e619aea"></a>
const <a class="el" href="classdlib_1_1matrix.html">matrix_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_u</b> () const</td></tr>
<tr class="separator:aff19d6af0ecbed809c8da82a5e619aea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c1c8d93d953dacf1855d930624a96b"><td class="memItemLeft" align="right" valign="top"><a id="a44c1c8d93d953dacf1855d930624a96b"></a>
const <a class="el" href="classdlib_1_1matrix.html">pivot_column_vector_type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_pivot</b> () const</td></tr>
<tr class="separator:a44c1c8d93d953dacf1855d930624a96b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58d7f76aa8934543938490e169028e0c"><td class="memItemLeft" align="right" valign="top"><a id="a58d7f76aa8934543938490e169028e0c"></a>
type&#160;</td><td class="memItemRight" valign="bottom"><b>det</b> () const</td></tr>
<tr class="separator:a58d7f76aa8934543938490e169028e0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dad53fce4c5e4543763875dafd302c2"><td class="memTemplParams" colspan="2"><a id="a7dad53fce4c5e4543763875dafd302c2"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:a7dad53fce4c5e4543763875dafd302c2"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="classdlib_1_1matrix.html">matrix_type</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><b>solve</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;B) const</td></tr>
<tr class="separator:a7dad53fce4c5e4543763875dafd302c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a220e556e81dffe72bb9026ec5dee9b98"><td class="memItemLeft" align="right" valign="top"><a id="a220e556e81dffe72bb9026ec5dee9b98"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = matrix_exp_type::NR</td></tr>
<tr class="separator:a220e556e81dffe72bb9026ec5dee9b98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a636953325e8818101a57240aa5407ddd"><td class="memItemLeft" align="right" valign="top"><a id="a636953325e8818101a57240aa5407ddd"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = matrix_exp_type::NC</td></tr>
<tr class="separator:a636953325e8818101a57240aa5407ddd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af1595c7e75e8386bdb1c3aa3865e80e2"><td class="memItemLeft" align="right" valign="top"><a id="af1595c7e75e8386bdb1c3aa3865e80e2"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; type, 0, 0, mem_manager_type, <a class="el" href="structdlib_1_1column__major__layout.html">column_major_layout</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>LU</b></td></tr>
<tr class="separator:af1595c7e75e8386bdb1c3aa3865e80e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a36c8a016519642e93930e06c391a49"><td class="memItemLeft" align="right" valign="top"><a id="a4a36c8a016519642e93930e06c391a49"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:a4a36c8a016519642e93930e06c391a49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3644fd69ece0ad6087e16121d63572fa"><td class="memItemLeft" align="right" valign="top"><a id="a3644fd69ece0ad6087e16121d63572fa"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>n</b></td></tr>
<tr class="separator:a3644fd69ece0ad6087e16121d63572fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a960badc0c34ad39168089b376567faf4"><td class="memItemLeft" align="right" valign="top"><a id="a960badc0c34ad39168089b376567faf4"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>pivsign</b></td></tr>
<tr class="separator:a960badc0c34ad39168089b376567faf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5f32a563169f982fb670f676364f0c0"><td class="memItemLeft" align="right" valign="top"><a id="ad5f32a563169f982fb670f676364f0c0"></a>
<a class="el" href="classdlib_1_1matrix.html">pivot_column_vector_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>piv</b></td></tr>
<tr class="separator:ad5f32a563169f982fb670f676364f0c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="matrix__lu_8h_source.html">matrix_lu.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
